Bug 135394 - CAN-2004-0888 xpdf integer overflows (CAN-2004-0889)
Summary: CAN-2004-0888 xpdf integer overflows (CAN-2004-0889)
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xpdf   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-12 14:25 UTC by Mark J. Cox
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-21 16:21:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xpdf 3 issues (includes can-2004-0888 and can-2004-0889) (7.80 KB, patch)
2004-10-12 14:26 UTC, Mark J. Cox
no flags Details | Diff

Description Mark J. Cox 2004-10-12 14:25:35 UTC
During a source code audit, Chris Evans and others discovered a number
of integer overflow bugs that affected all versions of xpdf.  An
attacker could construct a carefully crafted PDF file that could cause
xpdf to crash or possibly execute arbitrary code when opened.  

        CAN-2004-0888 Affects: FC2

Additionally more integer overflow issues that only affect version 3
of xpdf:

        CAN-2004-0889 Affects: FC2

This issue is embargoed until Oct20 1400UTC

Comment 1 Mark J. Cox 2004-10-12 14:26:46 UTC
Created attachment 105061 [details]
xpdf 3 issues (includes can-2004-0888 and can-2004-0889)

Comment 2 Ngo Than 2004-10-21 16:21:58 UTC
it's now fixed in 3.00-3.3. it will be released today.

Comment 3 Josh Bressers 2004-10-21 16:26:10 UTC
Removing embargo.


Note You need to log in before you can comment on or make changes to this bug.